#
# tk@ekonto.org
#
diff -uNr sms-2.1.0.6-orginal/README sms-2.1.0.6/README
--- sms-2.1.0.6-orginal/README	2006-12-29 11:05:39.000000000 +0100
+++ sms-2.1.0.6/README	2008-11-23 19:35:36.000000000 +0100
@@ -100,7 +100,7 @@
    -g <bramka>
 
      Podaje bramkê przez któr± nale¿y wys³aæ SMSa. W tej chwili
-     zdefiniowane s± nastêpuj±ce bramki: era, eranet, plus, plusmail,
+     zdefiniowane s± nastêpuj±ce bramki: eraomnix, eranet, plus, plusmail,
      miastoplusa, orangembox, o2uk.
 
    [phone_no]
@@ -177,7 +177,7 @@
 
    Przyk³ady wywo³ania:
 
-     sms -g era -n 602123123 -m "wszystko ok"
+     sms -g eraomnix -n 602123123 -m "wszystko ok"
      /usr/bin/check | sms -g ideambox -n 502123123 -m -
      _________________________________________________________________
 
diff -uNr sms-2.1.0.6-orginal/README.smsrc sms-2.1.0.6/README.smsrc
--- sms-2.1.0.6-orginal/README.smsrc	2008-11-23 12:59:55.000000000 +0100
+++ sms-2.1.0.6/README.smsrc	2008-11-23 19:33:00.000000000 +0100
@@ -60,15 +60,15 @@
 
 # login i haslo do bezplatnej bramki Era Omnix. Numer podajemy z 48 na
 # poczatku
-#omnix_user=48602000000
-#omnix_pass=secret_pass
+#eraomnix_user=48602000000
+#eraomnix_pass=secret_pass
 
 # login i haslo do bramki www.miastoplusa.pl
 #miastoplusa_user=LOGIN
 #miastoplusa_pass=secret_pass
 
 # login i haslo do portalu www.orange.pl (orange mbox)
-#orangembox_login=LOGIN
+#orangembox_user=LOGIN
 #orangembox_pass=secret_pass
 
 # login, has³o i nadawca dla bramki isms.idego.pl
diff -uNr sms-2.1.0.6-orginal/app.cc sms-2.1.0.6/app.cc
--- sms-2.1.0.6-orginal/app.cc	2008-11-23 12:59:55.000000000 +0100
+++ sms-2.1.0.6/app.cc	2008-11-24 12:08:48.000000000 +0100
@@ -25,9 +25,9 @@
 void App::ShowHelp()
 {
 	cerr << "Usage:\n\n\tsms <options>\n";
-	cerr << "\tsms -g era -n 602000000 -m \"sms body\"\n";
-	cerr << "\tdate | sms -s -g era -o phone_no=602000000 -m -\n\n"; 
-	cerr << "-g gateway : era, eranet, miastoplusa, orangembox, plusmail, plus, o2uk, idego\n";
+	cerr << "\tsms -g eraomnix -n 602000000 -m \"sms body\"\n";
+	cerr << "\tdate | sms -s -g eraomnix -o phone_no=602000000 -m -\n\n"; 
+	cerr << "-g gateway : eraomnix, eranet, miastoplusa, orangembox, plusmail, plus, o2uk, idego\n";
 	cerr << "-n no      : phone number to sent SMS to\n";
 	cerr << "-m msg     : message to sent, '-' means stdin\n";
 	cerr << "-c config  : use specified config file instead of default ones\n"; 
diff -uNr sms-2.1.0.6-orginal/doc/readme.html sms-2.1.0.6/doc/readme.html
--- sms-2.1.0.6-orginal/doc/readme.html	2006-12-29 11:05:09.000000000 +0100
+++ sms-2.1.0.6/doc/readme.html	2008-11-23 19:36:12.000000000 +0100
@@ -122,7 +122,7 @@
 <p>[gateway]<br />-g &lt;bramka&gt;</p>
 <blockquote>
 	Podaje bramkê przez któr± nale¿y wys³aæ SMSa. W tej chwili zdefiniowane
-	s± nastêpuj±ce bramki: era, eranet, plus, plusmail, miastoplusa,
+	s± nastêpuj±ce bramki: eraomnix, eranet, plus, plusmail, miastoplusa,
 	orangembox, o2uk.
 </blockquote>
 	
@@ -207,7 +207,7 @@
 <p>Przyk³ady wywo³ania:
 
 <blockquote>
-	sms -g era -n 602123123 -m "wszystko ok"
+	sms -g eraomnix -n 602123123 -m "wszystko ok"
 <br /><br />
 	/usr/bin/check | sms -g ideambox -n 502123123 -m -
 </blockquote>
diff -uNr sms-2.1.0.6-orginal/era.cc sms-2.1.0.6/era.cc
--- sms-2.1.0.6-orginal/era.cc	2008-11-23 13:01:22.000000000 +0100
+++ sms-2.1.0.6/era.cc	2008-11-23 19:30:05.000000000 +0100
@@ -5,8 +5,8 @@
 
 EraSMS::EraSMS(Config &config) : GenericSMS(config)
 {
-	omnix_user = config["omnix_user"];
-	omnix_pass = config["omnix_pass"];
+	omnix_user = config["eraomnix_user"];
+	omnix_pass = config["eraomnix_pass"];
 }
 
 
diff -uNr sms-2.1.0.6-orginal/generic_sms.cc sms-2.1.0.6/generic_sms.cc
--- sms-2.1.0.6-orginal/generic_sms.cc	2008-11-23 12:59:55.000000000 +0100
+++ sms-2.1.0.6/generic_sms.cc	2008-11-23 19:32:13.000000000 +0100
@@ -18,7 +18,7 @@
 {
 	GenericSMS *sms;
 
-	if (config["gateway"] == "era") sms = new EraSMS(config);
+	if (config["gateway"] == "eraomnix") sms = new EraSMS(config);
 	else if (config["gateway"] == "eranet")	sms = new EranetSMS(config);
 	else if (config["gateway"] == "miastoplusa") sms = new MiastoplusaSMS(config);
 	else if (config["gateway"] == "orangembox") sms = new OrangemboxSMS(config);
diff -uNr sms-2.1.0.6-orginal/orangembox.cc sms-2.1.0.6/orangembox.cc
--- sms-2.1.0.6-orginal/orangembox.cc	2008-11-23 12:59:55.000000000 +0100
+++ sms-2.1.0.6/orangembox.cc	2008-11-23 19:30:18.000000000 +0100
@@ -6,7 +6,7 @@
 
 OrangemboxSMS::OrangemboxSMS(Config &config) : GenericSMS(config)
 {
-	orangembox_user = config["orangembox_login"];
+	orangembox_user = config["orangembox_user"];
 	orangembox_pass = config["orangembox_pass"];
 }
 
